<ng-container [formGroup]="form">
  <mat-form-field *ngIf="!!form?.get('title')">
    <mat-label>Title</mat-label>
    <input matInput formControlName="title" />
  </mat-form-field>

  <mat-form-field *ngIf="!!form?.get('type')">
    <mat-label>Type</mat-label>
    <input matInput formControlName="type" />
  </mat-form-field>

  <mat-form-field *ngIf="!!form?.get('description')">
    <mat-label>Description</mat-label>
    <textarea matInput formControlName="description"></textarea>
  </mat-form-field>
</ng-container>
